/* bzflag
 * Copyright (c) 1993 - 2009 Tim Riker
 *
 * This package is free software;  you can redistribute it and/or
 * modify it under the terms of the license found in the file
 * named COPYING that should have accompanied this file.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

// NewestPlayer.cpp : Defines the entry point for the DLL application.
//

#include "bzfsAPI.h"
#include "plugin_utils.h"

BZ_GET_PLUGIN_VERSION

class NewestPlayer : public bz_EventHandler
{
public:
  NewestPlayer();
  virtual ~NewestPlayer();

  virtual void process(bz_EventData *eventData);
};

NewestPlayer	newestPlayer;

BZF_PLUGIN_CALL int bz_Load ( const char* /*commandLine*/ )
{
  bz_debugMessage(4,"NewestPlayer plugin loaded");
  bz_registerEvent(bz_ePlayerJoinEvent, &newestPlayer);
  return 0;
}

BZF_PLUGIN_CALL int bz_Unload ( void )
{
  bz_debugMessage(4,"NewestPlayer plugin unloaded");
  bz_removeEvent(bz_ePlayerJoinEvent, &newestPlayer);
  return 0;
}

NewestPlayer::NewestPlayer()
{
}

NewestPlayer::~NewestPlayer()
{
}

void NewestPlayer::process(bz_EventData *eventData)
{
  if (eventData->eventType != bz_ePlayerJoinEvent)
    return;

  bz_setBZDBString("$newestPlayer", ((bz_PlayerJoinPartEventData_V1*)eventData)->record->callsign.c_str());
}

// Local Variables: ***
// mode: C++ ***
// tab-width: 8 ***
// c-basic-offset: 2 ***
// indent-tabs-mode: t ***
// End: ***
// ex: shiftwidth=2 tabstop=8
